#!/bin/bash

# show the working nodes Torque reserved for you
cd $PBS_O_WORKDIR

echo "My machine will have the following nodes:"
echo "-----------------------------------------"

#cat ${PBS_NODEFILE}

#echo "-----------------------------------------"

# run pvm on the reserved nodes
pvm $PBS_NODEFILE <<EOF
conf
quit
EOF
echo "-----------------------------------------"

# start R
# run the RPVM program on R (What you need to change is only the filename)
# quit R after you have done the job
# the execution result will be printed into the file run.sh.oXXX (XXX is job #)
# the error information will be printed into the file run.sh.eXXX if the R program terminate abnormally
/usr/bin/R --no-save <<EOF
source('week1.R')
q()
EOF

# shut down PVM
# we don't need to shut down PVM, because when the job finished and the system release the nodes, the PVM will be terminated automatically.
#pvm <<EOF
#halt
#EOF

# delete all the previous standard output and standard error information (default)
# comment the following line if you want to keep the previous output data and error info
rm ~/rpvmtest/run.sh.*

